Package io.vertx.rxjava3.httpproxy.interceptors

## Class HeadInterceptorBuilder

- java.lang.Object
- - io.vertx.rxjava3.httpproxy.interceptors.HeadInterceptorBuilder

-     public class HeadInterceptorBuilder
      extends Object

  Configuration for an interceptor updating HTTP request/response head attributes (headers, path, query params).

  All configuration methods can be invoked several times. Operations on the path will be invoked in the order of configuration. That goes for operations on request headers, response headers and query parameters.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<HeadInterceptorBuilder>` | `__TYPE_ARG` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `HeadInterceptorBuilder​(HeadInterceptorBuilder delegate)` |
    `HeadInterceptorBuilder​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `HeadInterceptorBuilder` | `addingPathPrefix​(String prefix)` | Add a prefix to the URI.
    `HeadInterceptor` | `build()` |
    `boolean` | `equals​(Object o)` |
    `HeadInterceptorBuilder` | `filteringRequestHeaders​(Set<CharSequence> forbiddenRequestHeaders)` | Filter the request headers in the given set.
    `HeadInterceptorBuilder` | `filteringResponseHeaders​(Set<CharSequence> forbiddenResponseHeaders)` | Filter the response headers in the given set.
    `HeadInterceptorBuilder` | `getDelegate()` |
    `int` | `hashCode()` |
    `static HeadInterceptorBuilder` | `newInstance​(HeadInterceptorBuilder arg)` |
    `HeadInterceptorBuilder` | `removingPathPrefix​(String prefix)` | Remove a prefix to the URI.
    `HeadInterceptorBuilder` | `removingQueryParam​(String name)` | Remove a query parameter from the request.
    `HeadInterceptorBuilder` | `settingQueryParam​(String name, String value)` | Add a query parameter to the request.
    `String` | `toString()` |
    `HeadInterceptorBuilder` | `updatingPath​(java.util.function.Function<String,​String> mutator)` | Apply a callback to change the request URI when the proxy receives it.
    `HeadInterceptorBuilder` | `updatingQueryParams​(Handler<MultiMap> updater)` | Apply modifications to the query parameters.
    `HeadInterceptorBuilder` | `updatingRequestHeaders​(Handler<MultiMap> requestHeadersUpdater)` | Apply callbacks to change the request headers when the proxy receives them.
    `HeadInterceptorBuilder` | `updatingResponseHeaders​(Handler<MultiMap> responseHeadersUpdater)` | Apply callbacks to change the response headers when the proxy receives them.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<HeadInterceptorBuilder> __TYPE_ARG

  - ### Constructor Detail

    - #### HeadInterceptorBuilder

          public HeadInterceptorBuilder​(HeadInterceptorBuilder delegate)

    - #### HeadInterceptorBuilder

          public HeadInterceptorBuilder​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public HeadInterceptorBuilder getDelegate()

    - #### build

          public HeadInterceptor build()

      Returns:
        an interceptor build according to builder requirements

    - #### updatingQueryParams

          public HeadInterceptorBuilder updatingQueryParams​(Handler<MultiMap> updater)

      Apply modifications to the query parameters.
      Parameters:
        `updater` - the operation to apply to the request query parameters (can be null, but in this case nothing happens)
      Returns:
        a reference to this, so the API can be used fluently

    - #### settingQueryParam

          public HeadInterceptorBuilder settingQueryParam​(String name,
                                                          String value)

      Add a query parameter to the request.
      Parameters:
        `name` - the parameter name (can be null, but in this case nothing happens)
        `value` - the parameter value (can be null, but in this case nothing happens)
      Returns:
        a reference to this, so the API can be used fluently

    - #### removingQueryParam

          public HeadInterceptorBuilder removingQueryParam​(String name)

      Remove a query parameter from the request.
      Parameters:
        `name` - the parameter name (can be null, but in this case nothing happens)
      Returns:
        a reference to this, so the API can be used fluently

    - #### updatingPath

          public HeadInterceptorBuilder updatingPath​(java.util.function.Function<String,​String> mutator)

      Apply a callback to change the request URI when the proxy receives it.
      Parameters:
        `mutator` - the operation that applied to the path (can be null, but in this case nothing happens)
      Returns:
        a reference to this, so the API can be used fluently

    - #### addingPathPrefix

          public HeadInterceptorBuilder addingPathPrefix​(String prefix)

      Add a prefix to the URI.
      Parameters:
        `prefix` - the prefix that need to be added (can be null, but in this case nothing happens)
      Returns:
        a reference to this, so the API can be used fluently

    - #### removingPathPrefix

          public HeadInterceptorBuilder removingPathPrefix​(String prefix)

      Remove a prefix to the URI. Do nothing if it doesn't exist.
      Parameters:
        `prefix` - the prefix that need to be removed (can be null, but in this case nothing happens)
      Returns:
        a reference to this, so the API can be used fluently

    - #### updatingRequestHeaders

          public HeadInterceptorBuilder updatingRequestHeaders​(Handler<MultiMap> requestHeadersUpdater)

      Apply callbacks to change the request headers when the proxy receives them.
      Parameters:
        `requestHeadersUpdater` - the operation to apply to the request headers (can be null, but in this case nothing happens)
      Returns:
        a reference to this, so the API can be used fluently

    - #### updatingResponseHeaders

          public HeadInterceptorBuilder updatingResponseHeaders​(Handler<MultiMap> responseHeadersUpdater)

      Apply callbacks to change the response headers when the proxy receives them.
      Parameters:
        `responseHeadersUpdater` - the operation to apply to the response headers (can be null, but in this case nothing happens)
      Returns:
        a reference to this, so the API can be used fluently

    - #### filteringRequestHeaders

          public HeadInterceptorBuilder filteringRequestHeaders​(Set<CharSequence> forbiddenRequestHeaders)

      Filter the request headers in the given set.
      Parameters:
        `forbiddenRequestHeaders` - a set of the headers that need to be filtered (can be null, but in this case nothing happens)
      Returns:
        a reference to this, so the API can be used fluently

    - #### filteringResponseHeaders

          public HeadInterceptorBuilder filteringResponseHeaders​(Set<CharSequence> forbiddenResponseHeaders)

      Filter the response headers in the given set.
      Parameters:
        `forbiddenResponseHeaders` - a set of the headers that need to be filtered (can be null, but in this case nothing happens)
      Returns:
        a reference to this, so the API can be used fluently

    - #### newInstance

          public static HeadInterceptorBuilder newInstance​(HeadInterceptorBuilder arg)